#include <iostream>

using namespace std;

int n;
int a[100000];
int b[100000];
int c[100000];

int main()
{
    cin >> n;
    for(int i=0;i<n;i++){
        cin >> a[i];
    }


   for(int i=0;i<n;i++){

    b[i]=a[i];
   }



    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
            {
                if(a[j]>a[i])
                {
                    int q=a[i];
                    a[i]=a[j];
                    a[j]=q;
                }
            }
        }

    bool x=true;
     for(int i=0;i<n;i++){
        if(a[i]!=b[i])
        {
            for(int j=n-1;j>0;j--)
            {
                if(a[i]==b[j])
                    {
                        swap(b[i],b[j]);
                        break;
                    }

            } 
            x=false;
            break;
           
        }

     }
     bool y = true;
     if(x==true){
        for(int i=0;i<n;i++)
            c[b[i]]++;
        for(int i=0;i<n;i++)
            if(c[b[i]]>1)
                y=false;

        if(y==true){
            int p=b[n-1];
            b[n-1]=b[n-2];
            b[n-2]=p;


        }
        for(int i=0;i<n;i++)
            cout<<b[i]<<" ";
        return 0;
     }

     for(int i=0;i<n;i++){
        cout << b[i] << " ";
     }

    return 0;
}